--[[----------------------------------------------------------------------------
Copyright 2015 John R. Ellis.

If you want to disable a menu command, simply add "--" to the beginning of
the menu command's line below.

If you want to change the Windows ALT keyboard shortcut for a menu command,
edit the command name below and change the position of the "&".
------------------------------------------------------------------------------]]

return {
    LrSdkVersion = 6.0,
    LrSdkMinimumVersion = 6.0, 
    LrToolkitIdentifier = 'com.johnrellis.anycrop',
    LrPluginInfoProvider = "PluginInfoProvider.lua",
    LrPluginName = "Any Crop",
    LrPluginInfoUrl = "http://www.johnrellis.com/lightroom/anycrop.htm",
    LrExportMenuItems = {
        {title = "&Crop", file = "CropCommand.lua"},
        {title = "&Batch", file = "Batch.lua",
         enabledWhen = "photosSelected"},
        {title = "C&opy", file = "Copy.lua", 
         enabledWhen = "photosSelected"},
        {title = "&Paste", file = "Paste.lua", 
         enabledWhen = "photosSelected"},
        {title = "Ad&just", file = "Adjust.lua",
         enabledWhen = "photosSelected"},
        {title = "Preset &1", file = "Preset1.lua",
         enabledWhen = "photosSelected"},
        {title = "Preset &2", file = "Preset2.lua",
         enabledWhen = "photosSelected"},
        {title = "Preset &3", file = "Preset3.lua",
         enabledWhen = "photosSelected"},
        {title = "Preset &4", file = "Preset4.lua",
         enabledWhen = "photosSelected"},
        {title = "Preset &5", file = "Preset5.lua",
         enabledWhen = "photosSelected"},
        {title = "Set &Rotation", file = "SetRotation.lua",
         enabledWhen = "photosSelected"},
        {title = "Divide Contact Sheet", file = "Divide.lua",
         enabledWhen = "photosSelected"}},
    VERSION = {major = 1, minor = 16, revision = 0, build = 0}}
    
    